import Layouts from "@/layouts/index.vue";

const routes = [
  {
    path: "/",
    name: "layouts",
    redirect: "/index",
    component: Layouts,
    children: [
      {
        path: "/index",
        name: "Index",
        component: () => import("@/pages/tab-pages/index.vue"),
        meta: { title: "首页" },
      },
      {
        path: "/reservation",
        name: "Reservation",
        component: () => import("@/pages/tab-pages/reservation.vue"),
        meta: { title: "预约考试" },
        children: [
          {
            path: "chooseSite/:id",
            name: "ChooseSite",
            component: () => import("@/pages/chooseSite.vue"),
            meta: { title: "选择考点" },
          },
        ],
      },
      {
        path: "/mine",
        name: "Mine",
        component: () => import("@/pages/tab-pages/mine.vue"),
        meta: { title: "个人中心" },
      },
    ],
  },
  {
    path: "/login",
    name: "Login",
    component: () => import("@/pages/login.vue"),
    meta: {
      title: "登录",
    },
  },
  {
    path: "/admissionCard/:applyId",
    name: "AdmissionCard",
    component: () => import("@/pages/admissionCard.vue"),
    meta: { title: "电子准考证" },
  },
  {
    path: "/404",
    name: "NotFound",
    component: () => import("@/pages/404.vue"),
  },
  {
    path: "/:pathMatch(.*)",
    redirect: "/404",
  },
];

export default routes;
